# ElementUtil API

## [Base Methods](base-methods.md)

- [getElement](base-methods.md#getElement): Get a single element.
- [getElements](base-methods.md#getElements): Get elements as NodeList.
- [getElementsAsArray](base-methods.md#getElementsAsArray): Get elements as array of HTMLElement.
- [removeElements](base-methods.md#removeElements): Remove elements by selector.
- [toNodeList](base-methods.md#toNodeList): Convert a single Element to NodeList.
- [nodeListToArray](base-methods.md#nodeListToArray): Convert NodeList to Array.
- [findAncestor](base-methods.md#findAncestor): Find ancestor from element.

## [Util Methods](util-methods.md)

- [addListener](util-methods.md#addListener): Add event listener on selector.
- [addOuterListener](util-methods.md#addOuterListener): Add listener for the event that occurs outer of the target element.
- [wrap](util-methods.md#wrap): Wrap elements by div.wrapper, one by one.
- [wrapAll](util-methods.md#wrapAll): Wrap all elements inside to div.wrapper.
- [submitConfirm](util-methods.md#submitConfirm): Add confirm message on 'submit' event.
- [addClass](util-methods.md#addClass): Add class to an element.
- [removeClass](util-methods.md#removeClass): Remove class from an element.
- [toggleClass](util-methods.md#toggleClass): Toggling class.
- [hide](util-methods.md#hide): Hide an element. use style `display: none;`
- [show](util-methods.md#show): Remove `display: none;`
- [toggleShow](util-methods.md#toggleShow): Toggling show/hide element.
- [makeHiddenInput](util-methods.md#makeHiddenInput): Make `input[type="hidden"]` element.
- [appendHiddenInput](util-methods.md#appendHiddenInput): Append hidden type input to target element.

## [Element Filter](element-filter.md)

Class for filtering elements.

## [Element Sorter](element-sorter.md)

Class for sort elements.
